Initiate User Registration

Register the user at the card issuing bank’s end

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Header Parameters

For Header Reference Click here

Request Parameters

NameTypeMandatory (M) , Optional (O)Description
mobileStringMCustomer mobile number
emailStringMCustomer email Id
panStringMCustomer PAN Number
pincodeStringMCustomer pincode
latitudeStringMEnd Customer Latitude.
longitudeStringMEnd Customer Longitude.

Sample Request

curl --location 'https://api.instantpay.in/cards/prepaid/initiateUserRegistration' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=' \
--header 'X-Ipay-Client-Secret: 679db35f926b8d0240a8c0d28729528ee8e6d5effa5fa0b20c04454004d2d825' \
--header 'X-Ipay-Endpoint-Ip: 125.0.0.1' \
--header 'X-Ipay-Request-Hash: 123456789|123456789|123456789|123456789|123456789|123456789|1234' \
--header 'X-Ipay-Request-Timestamp: 1631081674077' \
--header 'X-Ipay-Hash-Check: OFF' \
--header 'User-Agent: InstantPayAPITest/1.0.0' \
--header 'Content-Type: application/json' \
--data-raw '{
    "mobile" : "7428585742",
    "email" : "[email protected]",
    "pan" : "DWIDP8359N",
    "pincode" : "110025",
    "latitude" : "22.6874",
    "longitude" : "122.7287"
}'
POST /cards/prepaid/initiateUserRegistration HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
X-Ipay-Request-Hash: 123456789|123456789|123456789|123456789|123456789|123456789|1234
X-Ipay-Request-Timestamp: 1631081674077
X-Ipay-Hash-Check: OFF
User-Agent: InstantPayAPITest/1.0.0
Content-Type: application/json
Content-Length: 178

{
    "mobile" : "7428585742",
    "email" : "[email protected]",
    "pan" : "DWIDP8359N",
    "pincode" : "110025",
    "latitude" : "22.6874",
    "longitude" : "122.7287"
}

Sample Response

{
   "statuscode": "TXN",
   "actcode": null,
   "status": "OTP sent successfully",
   "data": {
       "otpReference": "982345",
       "recipient": {
           "mobile": "7428585742"
       }
   },
    "timestamp": "2022-04-24 13:03:43",
    "ipay_uuid": "h0069be1de76-e3bd-4f83-a8bd-7e08dfddb672-iBDV4k0anFAu",
    "orderid": "null",
    "environment": "LIVE",
    "internalCode": null
}
📘

Action Code Details

For Action Code details Click here

Body Params
string

Customer mobile number

string

Customer email Id

string

Customer PAN Number

string

Customer pincode

string

End Customer Latitude.

string

End Customer Longitude.

Headers
string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

Auth-Code

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json